Bug 1666690 (CVE-2019-3815) - CVE-2019-3815 systemd: memory leak in journald-server.c introduced by fix for CVE-2018-16864
Summary: CVE-2019-3815 systemd: memory leak in journald-server.c introduced by fix for...
Status: NEW
Alias: CVE-2019-3815
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20190114,reported=2...
Keywords: Security
Depends On: 1666646 1666727
Blocks: 1666709
TreeView+ depends on / blocked
 
Reported: 2019-01-16 11:23 UTC by Riccardo Schirone
Modified: 2019-01-30 16:32 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A memory leak was discovered in the backport of fixes for CVE-2018-16864 in Red Hat Enterprise Linux. Function dispatch_message_real() in journald-server.c does not free the memory allocated by set_iovec_field_free() to store the `_CMDLINE=` entry. A local attacker may use this flaw to make systemd-journald crash.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0201 None None None 2019-01-29 17:25 UTC
Red Hat Knowledge Base (Solution) 3840481 None None None 2019-01-28 09:55 UTC

Description Riccardo Schirone 2019-01-16 11:23:10 UTC
A memory leak was discovered in the backport of fixes for CVE-2018-16864 in Red Hat Enterprise Linux (since version v219-62.2) and CentOS. Function dispatch_message_real() in journald-server.c does not free the memory allocated by set_iovec_field_free() to store the `_CMDLINE=` entry. A local attacker may use this flaw to make systemd-journald crash.

However systemd-journald crash is automatically restarted by systemd by default.

Comment 3 Riccardo Schirone 2019-01-17 14:27:30 UTC
Statement:

This issue affects version 219-62 of systemd as shipped with Red Hat Enterprise Linux 7.

Comment 6 Rik Theys 2019-01-29 08:31:41 UTC
Hi,

Is there any timeline on when this issue will be fixed in RHEL 7.6? This bug is causing journald (and rsyslog) to eat lots of RAM, resulting in systems swapping where they used to run for months without memory issues.

Regards,

Rik

Comment 7 Riccardo Schirone 2019-01-29 08:57:19 UTC
Hi Rik,

Please open a case with Support for these kind of questions, they will be more than happy to help you.
Best regards,

Riccardo

Comment 8 errata-xmlrpc 2019-01-29 17:25:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0201 https://access.redhat.com/errata/RHSA-2019:0201


Note You need to log in before you can comment on or make changes to this bug.